﻿DECLARE @@sql VARCHAR(MAX)

SET @@sql = '
SELECT TOP 1 MESSAGE as messageLog FROM TB_R_LOG_D WHERE PROCESS_ID =(
SELECT TOP 1 PROCESS_ID 
FROM [dbo].[TB_R_DLV_QUEUE]
WHERE MODULE_ID=3 AND FUNCTION_ID=31406 
--AND PROCESS_STATUS IN ''QU2''
ORDER BY PROCESS_ID DESC
)
ORDER BY SEQUENCE_NUMBER DESC
';

execute (@@sql)